## vnctermserv 0.0.2

=== Makefile ===
# Debian makefile

CFLAGS = -g -O2 -Wall -I/usr/X11R6/include
LDLIBS = -lX11 -L/usr/X11R6/lib

DESTDIR =

PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
CONFDIR = $(DESTDIR)/etc
LIBDIR = $(PREFIX)/lib/vnctermserv
SHAREDIR = $(PREFIX)/share/vnctermserv

all: allloc
	make -C po all

allloc: getres setpgrp


getres: getres.c
	$(CC) -o $@ $(LDFLAGS)  $(LDLIBS) getres.c
setpgrp: setpgrp.c
	$(CC) -o $@ $(LDFLAGS)  $(LDLIBS) setpgrp.c

clean:
	rm -f getres setpgrp *.o
	make -C po clean

install: getres setpgrp
	install setpgrp getres $(LIBDIR)
	install -p vncserver $(SHAREDIR)
	install -p vnctermservcommon $(SHAREDIR)
	install -p vnctighttermserv $(SHAREDIR)
	install -p vncrealtermserv $(SHAREDIR)
	cp -p vnctermserv.cnf $(CONFDIR)
	cp -p vnctermserv.1 $(MANDIR)
	cp $(SHAREDIR)/vnctighttermserv $(BINDIR)/vnctermserv
	make -C po install

.PHONY: all clean install

=== po/Makefile ===
all : vnctermserv.pot de.mo

vnctermserv.pot : ../vnctermservcommon
	bash --dump-po-strings ../vnctermservcommon >vnctermserv.pot

de.mo: vnctermserv.pot de.po
	./create_mo de

install: de.mo
	install -d $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/
	install -m 644 de.mo $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/vnctermserv.mo

clean:
	rm *.pot
	rm *.pox
	rm *.mo

=== debian/changelog ===
vnctermserv (0.0.2) unstable; urgency=low

  * Support for the new tightvnc/vnc packages
  * gettext-support added

 -- Martin Kgler <e9925248@student.tuwien.ac.at>  Tue, 17 Dec 2002 17:14:51 +0100

vnctermserv (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Martin Kgler <e9925248@student.tuwien.ac.at>  Mon, 02 Sep 2002 19:17:35 -0500

=== debian/control ===
Source: vnctermserv
Section: x11
Priority: optional
Maintainer: Martin Kgler <e9925248@student.tuwien.ac.at>
Standards-Version: 3.5.7
Build-Depends: debhelper, xlibs-dev, gettext

Package: vnctermserv
Architecture: any
Depends: ${shlibs:Depends}, tightvncserver, xtightvncviewer, xdialog
Recommends: kdm
Description: Provides a session-management for VNC
 vnctermserv is a session management tool based on VNC, which can suspend X 
 sessions and resume them later. Also multiple open sessions of a user can be 
 managed.
 The sessin management is similar to the Windows Terminal Server.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
